module ImageMagick_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libwand
const libwand_path = "/usr/lib/libMagickWand-7.Q16HDRI.so.10"
libwand_handle = C_NULL
get_libwand_path() = libwand_path
const libwand = "libMagickWand-7.Q16HDRI.so.10"
export identify
const identify_path = "/usr/bin/identify"
identify(f::Function; kw...) = f(identify_path)
identify(; kw...) = Cmd([identify_path])
export imagemagick_convert
const imagemagick_convert_path = "/usr/bin/convert"
imagemagick_convert(f::Function; kw...) = f(imagemagick_convert_path)
imagemagick_convert(; kw...) = Cmd([imagemagick_convert_path])
export mogrify
const mogrify_path = "/usr/bin/mogrify"
mogrify(f::Function; kw...) = f(mogrify_path)
mogrify(; kw...) = Cmd([mogrify_path])
export montage
const montage_path = "/usr/bin/montage"
montage(f::Function; kw...) = f(montage_path)
montage(; kw...) = Cmd([montage_path])
export magick
const magick_path = "/usr/bin/magick"
magick(f::Function; kw...) = f(magick_path)
magick(; kw...) = Cmd([magick_path])
function __init__()
    global libwand_handle = dlopen(libwand_path)
end
end
